picocli

## Class CommandLine.ParseResult.GroupMatch

- java.lang.Object
- - picocli.CommandLine.ParseResult.GroupMatch

Enclosing class:
  CommandLine.ParseResult

    public static class CommandLine.ParseResult.GroupMatch
    extends Object

A group's multiplicity specifies how many matches of a group may appear on the command line. This class models a single "match". For example, this group: `(-a -b) (-a -b)` requires two matches of its arguments to fully match.

Since:
  4.0

### Method Summary

All Methods Instance Methods Concrete Methods
`CommandLine.ParseResult.GroupMatchContainer` `container()` Returns the container `GroupMatchContainer` of this match.
`CommandLine.Model.ArgGroupSpec` `group()` Returns the `ArgGroupSpec` of the container `GroupMatchContainer` of this match.
`boolean` `isEmpty()` Returns `true` if this match has no matched arguments and no matched subgroups.
`Map<CommandLine.Model.ArgGroupSpec,CommandLine.ParseResult.GroupMatchContainer>` `matchedSubgroups()` Returns matches for the subgroups, if any.
`List<Object>` `matchedValues(CommandLine.Model.ArgSpec argSpec)` Returns the values matched for the specified argument, converted to the type of the argument.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### isEmpty

    public boolean isEmpty()

Returns `true` if this match has no matched arguments and no matched subgroups.

#### group

    public CommandLine.Model.ArgGroupSpec group()

Returns the `ArgGroupSpec` of the container `GroupMatchContainer` of this match.

#### container

    public CommandLine.ParseResult.GroupMatchContainer container()

Returns the container `GroupMatchContainer` of this match.

#### matchedSubgroups

    public Map<CommandLine.Model.ArgGroupSpec,CommandLine.ParseResult.GroupMatchContainer> matchedSubgroups()

Returns matches for the subgroups, if any.

#### matchedValues

    public List<Object> matchedValues(CommandLine.Model.ArgSpec argSpec)

Returns the values matched for the specified argument, converted to the type of the argument.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`